apiVersion: apps/v1beta2
kind: Deployment
metadata:
  name:  devopsapp
spec:
  replicas: 1
  selector:
    matchLabels:
      app: devopsapp
  template:
    metadata:
      labels:
        app: devopsapp        
    spec:
      containers:
      - name: devopsapp
        image: tamerdibsidocker/devops:7e01603c-20200430
        imagePullPolicy: Always
        envFrom:
          - configMapRef:
              name: devopsapp-config
        ports:
          - name: http
            containerPort: 8090
            protocol: TCP
        livenessProbe:
          httpGet:
            path: /actuator/health
            port: 8090
          initialDelaySeconds: 120
          periodSeconds: 120
          timeoutSeconds: 5
          failureThreshold: 5
        readinessProbe:
          httpGet:
            path: /actuator/health
            port: 8090
          initialDelaySeconds: 120
          periodSeconds: 5
          timeoutSeconds: 5
          failureThreshold: 5
        resources:
          requests:
            memory: "100Mi"
            cpu: "250m"
          limits:
            memory: "512Mi"
            cpu: "1"
        